%define name perl-Term-Readline-Gnu
%define real_name Term-ReadLine-Gnu
%define version 1.08
%define release 2mdk

Summary: Implementation of Internet protocols for Perl
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{real_name}-%{version}.tar.bz2
Patch: Term-ReadLine-Gnu-1.08-perl-5.6.0.patch.bz2
Copyright: GPL
Group: Development/Perl
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: perl

%description
This is an implementation of the interface to the GNU Readline
Library.  This module gives you input line editing facility, input
history management facility, word completion facility, etc.  It uses
the real GNU Readline Library.  And this module has the interface with
the almost all variables and functions which are documented in the GNU
Readline/History Library.  So you can program your custom editing
function, your custom completion function, and so on with Perl.  This
may be useful for prototyping before programming with C.

%prep
%setup -n %{real_name}-%{version}

%patch -p1

%build
perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/auto/Term/ReadLine/*
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/Term/ReadLine/*
/usr/lib/perl5/man/man3/*

%changelog

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.08-2mdk
- added patch for compilation with perl 5.6.0.
- updated spec file and Group.

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First package needed for perl-debug.
